{ config, pkgs, username, project, ... }: {
  programs.zsh = {
    enable = true;
    enableCompletion = false;
    autosuggestions = {
      enable = true;
      highlightStyle = "fg=242";  # Lighter gray shadow (0-255 scale)
    };

    ohMyZsh = {
      enable = true;
      plugins = [ "git" ];
    };

    shellInit = ''
      source /home/${username}/${project}/other/aliases
      eval "$(${pkgs.zoxide}/bin/zoxide init zsh --cmd cd)"
    '';

	#To reset powerlevel10k, write 'p10k configure' in shell!
    promptInit = ''
      source ${pkgs.zsh-autocomplete}/share/zsh-autocomplete/zsh-autocomplete.plugin.zsh
      source ${pkgs.zsh-powerlevel10k}/share/zsh-powerlevel10k/powerlevel10k.zsh-theme
    '';
  };
  
  users.users.cookiez.shell = pkgs.zsh;
  environment.systemPackages = [
    pkgs.oh-my-zsh
    pkgs.zsh
    pkgs.zsh-completions
    pkgs.zsh-powerlevel10k
    pkgs.zsh-syntax-highlighting
    pkgs.zsh-autocomplete
    pkgs.zsh-autosuggestions
  ];
}
